/* 
BUTTON 
*/
#hidden_page-button {
    position: fixed;
    width: 4rem;
    height: 4rem;
    overflow: hidden !important;
    z-index: 215;
}

#hidden_page-button[data-position="top-left"] {top: 0; left: 0;}
#hidden_page-button[data-position="top-right"] {top: 0; right: 0;}
#hidden_page-button[data-position="bottom-left"] {bottom: 0; left: 0;}
#hidden_page-button[data-position="bottom-right"] {bottom: 0; right: 0;}




/* 
SECTION
*/
#hidden_page-section {
    background: rgba(0, 0, 0, .25);
    backdrop-filter: blur(8rem);
    -webkit-backdrop-filter: blur(8rem);
    overflow: hidden !important;
    z-index: 250;
}
#hidden_page-section[data-status="hide"] {transform: translateY(100dvh);}

#hidden_page-section .--header {
    top: 0;
    left: 50vw;
    width: 100%;
    max-width: 120rem;
    padding: var(--size_l) var(--size_l) var(--size_xxl);
    transform: translateX(-50%);
}

#hidden_page-section .--header button {width: 100%;}

#hidden_page-section .--article {
    max-height: 66dvh;
    border-radius: var(--size_s) var(--size_s) 0 0;
    padding-bottom: 3.5rem;
    overflow-y: auto;
    overflow-x: hidden;
}
